Name:           perl-Config-Record
Version:        1.1.2
Release:        %mkrel 1
Summary:        Perl module for Configuration file access

Group:          Development/Perl
License:        GPLv2+
URL:            http://search.cpan.org/dist/Config-Record/
Source:         http://www.cpan.org/authors/id/D/DA/DANBERR/Config-Record-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)


%description
Config::Record provides a module for loading configuration
records. It supports scalar, array and hash parameters nested
to an arbitrary depth.

%prep
%setup -q -n Config-Record-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES LICENSE README
%{perl_vendorlib}/Config/
%{_mandir}/man3/*.3pm*


%changelog
* Tue Mar 15 2011 saispo <saispo> 1.1.2-1.mga1
+ Revision: 72167
- imported package perl-Config-Record

